#include "stdafx.h"
#include "BaseEdge.h"



namespace lib_geo
{


void BaseEdge::Clear(void)
{
	m_EdgeVids[0] = -1;
	m_EdgeVids[1] = -1;

	ClearAdjBuffer();
}

void BaseEdge::ClearAdjBuffer(void)
{
	m_AdjFids.clear();
}

bool BaseEdge::IsBound(void) const
{
	return m_AdjFids.size() != 2;
}


}
